<!doctype html>
<html lang=ru>
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Test Ajax php</title>
</head>
<body>
<label for="numReq">Введите число от 1 до 5: </label>
<input type="text" id="numReq" name="numReq">
<button id="testAjax" type="button">Отправить</button>
<br>
<select id="resReq">
    <option selected="selected" disabled="disabled">Не выбрано</option>
</select>
<div id="result">
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>

    $(document).on("click", "#testAjax", function() {

        //очищаем список, от предыдущих результатов

        $("#resReq .dinElem").remove();

        // получаем значение из поля input
        let inputData = $("#numReq").val();

        $.post("script.php", {dataReq: inputData}, function(data)
        {
            // проверка, не пришел ли нам 0, а значит запрашиваемый элемент есть
            if(data != 0){

                //преобразуем данные в объект
                let dataToSelect = JSON.parse(data);


                //цикл по объекту, наполнение тега select

                for (let option in dataToSelect) {

                    $("#resReq").append(`<option class="dinElem">${dataToSelect[option]}</option>`);

                }

            // иначе выведем сообщение, что запрашиваемого сиска нет
            }else{

                $("#result").text("Ничего не найдено!");

            }

        });

    });

</script>
</body>
</html>